<div class="wrap">
<div id="admin">
	
	<!-- left side menu area -->
	
	<div id="waiter"><img src="../wp-content/plugins/minimy/images/preloader.gif" /><p>Please wait..</p></div>

	<div id="leftSide">
	
		<div id="detailsMenu" class="menuBlock">
			<ul>
				<li>Minimy Gallery Plugin</li>
				<li>Developed by <a href="http://rubenbristian.com">RubenBristian</a></li>
				<li><em>Version 1.3</em></li>
			</ul>
		</div>
	
		<div id="optionsMenu" class="menuBlock">
			<ul>
				<li class="selected"><a href="#" id="manageGalleries">Dashboard</a></li>
				<li><a href="#" id="addGallery">Add new gallery</a></li>
				<li><a href="#" id="manageSkins">Manage skin</a></li>
			</ul>
		</div>
		
		<div id="skinsBlock">
			<h4>Skin</h4>
			
			<div id="skinsMenu" class="menuBlock">
				<ul>
					<?php 
					
						global $wpdb;
				
						$skins = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."db_minimy WHERE type=2");
				
						foreach($skins as $skin){
						
							$skinOptions = split(';', $skin->skin);
							echo '<li><a id="skinID" href="#" data-css="', $skinOptions[1], '" data-width="', $skinOptions[2], '" data-thumbw="', $skinOptions[3], '" data-thumbh="', $skinOptions[4], '" data-thumbs="', $skinOptions[5], '" data-bcolors="', $skinOptions[6], '" data-bcolorsroll="', $skinOptions[7], '" data-tcolors="', $skinOptions[8], '" data-lbback="', $skinOptions[9], '" data-lbholder="', $skinOptions[10], '" data-lbtitle="', $skinOptions[11], '" data-lbdesc="', $skinOptions[12], '" data-lbmenu="', $skinOptions[13], '" data-lbbuttons="', $skinOptions[14], '" data-lbbuttonsroll="', $skinOptions[15], ' " data-tsymbol="', $skinOptions[16], '" data-tbborder="', $skinOptions[17], '" data-lbplay="', $skinOptions[18], '">', $skinOptions[0], '</a></li>';
							
						}
					
					?>
				</ul>
			</div><br /><br />
			<input class="button-secondary action" type="submit" id="cancelSkin" value="Cancel" />
			<input class="button-primary action" type="submit" id="saveSkin" value="Save Skin" />
		</div>
		<div style="clear"></div>
	
		<div id="galleryBlock">
			<h4>Gallery settings</h4>
			<div id="galleryMenu" class="menuBlock">
			<ul>
				<li class="selected"><a href="#" id="manageID">Gallery ID</a></li>
				<li><a href="#" id="manageOptions">Style & Options</a></li>
				<li><a href="#" id="manageImages">Images</a></li>
				<li><a href="#" id="manageCaptions">Captions</a></li>
			</ul>
			</div><br /><br />
			<input class="button-secondary action" type="submit" id="cancelGallery" value="Cancel" />
			<input class="button-primary action" type="submit" id="saveGallery" value="Save Changes" />
		</div>
		<div style="clear"></div>
	
	</div>
	<div style="clear"></div>
	
	<!-- right side content area -->
		
	<div id="contentArea">
		
		<div id="contentDashboard">
			<h2>Welcome to Minimy Gallery - Admin Panel</h2>
			<p>You currently have <span><?php 
			
				$galleries = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."db_minimy WHERE type=1");
				echo count($galleries) 
				
			?></span> galleries. You can add a new gallery from the left panel or you can edit your existing ones from below.</p>
			<ul id="galleriesList">
				<?php
				
					foreach($galleries as $gallery){
						
						echo '<li><strong>Gallery ID: ',$gallery->minimy,'</strong><a data-id="',$gallery->minimy,'" href="#">delete</a><a data-id="',$gallery->minimy,'" href="#">edit</a></li>';
					
					}
				
				?>
			</ul>
			
		</div>
		
		<!-- gallery admin panel -->
		
		<div id="contentGallery">
			<h2>Gallery settings</h2>
			
			<!-- first step content - id -->
			
			<div id="galStep1">
				<table class="form-table">
				<tbody>
				
					<tr>
						<th><label for="sn">Gallery ID:</label></th>
						<td id="idPlace"></td>
					</tr>
					
				</tbody>
				</table>
				
				<br />
				This is the gallery unique id, which you will have to use when you'll embed the gallery into your posts/pages.<br /><br />
				You can continue editing this gallery using the left menu.
			
			</div>
			
			<!-- second step content - styles & options -->
			
			<div id="galStep2">
			
				<table class="form-table">
				<tbody>
				
					<tr><th><strong>Manage style</strong></th></tr>
					
					<tr>
						<th><label for="sat">Show all thumbs:</label></th>
						<td>
							<select id="sat">
								<option>yes</option>
								<option selected="selected">no</option>
							</select>
							<span class="description"><br />select this if you want to display all thumbnails in a grid gallery</span>
						</td>
					</tr>
					
					<tr><th><strong>Manage options</strong></th></tr>
					
					<tr>
						<th><label for="es">Enable slideshow:</label></th>
						<td>
							<select id="es">
								<option selected="selected">yes</option>
								<option>no</option>
							</select>
						</td>
					</tr>
					
					<tr>
						<th><label for="sa">Autoplay:</label></th>
						<td>
							<select id="sa">
								<option selected="selected">yes</option>
								<option>no</option>
							</select>
							<span class="description"><br />only if the slideshow is enabled</span>
						</td>
					</tr>
					
					<tr>
						<th><label for="stm">Slide timer:</label></th>
						<td>
							<input id="stm" class="regular_text" type="text" value="5000" maxlength="5" />
							<span class="description"> milliseconds</span>
						</td>
					</tr>
					
					<tr>
						<th><label for="et">Enable thumbnails:</label></th>
						<td>
							<select id="et">
								<option selected="selected">yes</option>
								<option>no</option>
							</select>
						</td>
					</tr>
					
					<tr>
						<th><label for="ec">Enable captions:</label></th>
						<td>
							<select id="ec">
								<option selected="selected">yes</option>
								<option>no</option>
							</select>
						</td>
					</tr>
					
					<tr>
						<th><label for="rim">Resize images:</label></th>
						<td>
							<select id="rim">
								<option selected="selected">yes</option>
								<option>no</option>
							</select>
						</td>
					</tr>
					
				</tbody>
				</table>				
			
			</div>
			
			<!-- third step content - images -->
			
			<div id="galStep3">
			
				<div id="totalFlah">
					<span id="hideWhenFlash">Please use the following button to upload the images:</span>
						<div id="swfupload-control">
					<input type="button" id="button" value="Upload Images" />
					</div>
				</div>
			<div class="clear"></div>
				
				<div id="nonswfupload">
					<label for="mmp2">Image path:</label>
					<input id="mmp2" type="text" style="width:190px !important" />
					<input id="mmp" class="button" type="button" value="Upload Image"/>
					<input class="button-primary action" style="width:55px !important" type="submit" id="addImage" value="Add Image" /><br />
					<span class="description">Upload an image(or choose one from the gallery), then click the Add Image button.</span>
				</div>
				
				<br />
				<br id="hideWhenFlash2" />
				<ul id="imagesList"></ul>
			
			</div>
			<div class="clear"></div>
			
			<!-- fourth step content - captions -->
			
			<div id="galStep4">
			
				<p>Captions are optional, but you should write them even if you don't want them to show. If you want to turn them off, do it from the "Style & Options" panel, but you should still write them because it's good for SEO.</p>
			
				<ul id="captionsList"></ul>
				
			</div>
			<div class="clear"></div>
			
		</div>
		
		<!-- skins admin panel -->
		
		<div id="contentSkins">
			<h2>Manage Skin</h2>	
			
			<div id="skinsTable">
			<table class="form-table">
			<tbody>
				
				<tr><th><h4>Thumbnails size</h4></th></tr>
				
				<tr>
					<th><label for="ttw">Total width:</label></th>
					<td>
						<input id="ttw" class="regular_text" type="text" value="600" maxlength="4" />
						<span class="description"> px</span>
					</td>
				</tr>
				
				<tr>
					<th><label for="tpp">Thumbs per page:</label></th>
					<td>
						<input id="tpp" class="regular_text" type="text" value="4" maxlength="2" />
						<span class="description"> px</span>
					</td>
				</tr>
				
				<tr>
					<th><label for="ttsw">Thumbs width:</label></th>
					<td>
						<input id="ttsw" class="regular_text" type="text" value="119" maxlength="4" disabled="true" />
						<span class="description"><br />this value is calculated by the script</span>
					</td>
				</tr>
				
				<tr>
					<th><label for="ttsh">Thumbs height:</label></th>
					<td>
						<input id="ttsh" class="regular_text" type="text" value="89" maxlength="4" />
						<span class="description"> px</span>
					</td>
				</tr>
				
				<tr>
					<th><label for="asdf">Show camera icon:</label></th>
					<td>
						<select id="asdf">
							<option>true</option>
							<option selected="selected">false</option>
						</select>
					</td>
				</tr>
		
				<tr><th><h4>Thumbnails colors</h4></th></tr>
			
				<tr>
					<th><label for="bc2">Buttons color:</label></th>
					<td><input id="bc2" class="color" value="000000" type="text" maxlength="6"></td>
				</tr>
				<tr>
					<th><label for="bcr2">Buttons color(on roll over):</label></th>
					<td><input id="bcr2" class="color" value="CC2052" type="text" maxlength="6"></td>
				</tr>
				<tr>
					<th><label for="ta">Thumbnails color accent:</label></th>
					<td><input id="ta" class="color" value="CC2052" type="text" maxlength="6"></td>
				</tr>
				<tr>
					<th><label for="ts">Thumbnails symbol color:</label></th>
					<td><input id="ts" class="color" value="CC2052" type="text" maxlength="6"></td>
				</tr>
				<tr>
					<th><label for="tbb">Thumbnails bottom border:</label></th>
					<td><input id="tbb" value="3" type="text" maxlength="2"></td>
				</tr>
				
				<tr><th><h4>Lightbox colors</h4></th></tr>
			
				<tr>
					<th><label for="gc">Background color:</label></th>
					<td><input id="gc" class="color" value="181818" type="text" maxlength="6"></td>
				</tr>
				<tr>
					<th><label for="hc">Holder color:</label></th>
					<td><input id="hc" class="color" value="333333" type="text" maxlength="6"></td>
				</tr>
				<tr>
					<th><label for="tc">Title color:</label></th>
					<td><input id="tc" class="color" value="F7F7F7" type="text" maxlength="6"></td>
				</tr>
				<tr>
					<th><label for="dc">Description color:</label></th>
					<td><input id="dc" class="color" value="666666" type="text" maxlength="6"></td>
				</tr>
				<tr>
					<th><label for="mc">Menu color:</label></th>
					<td><input id="mc" class="color" value="252525" type="text" maxlength="6"></td>
				</tr>
				<tr>
					<th><label for="bc">Buttons color:</label></th>
					<td><input id="bc" class="color" value="F7F7F7" type="text" maxlength="6"></td>
				</tr>
				<tr>
					<th><label for="bcr">Buttons color(on roll over):</label></th>
					<td><input id="bcr" class="color" value="CC2052" type="text" maxlength="6"></td>
				</tr>
				<tr>
					<th><label for="stc">Slide timer color:</label></th>
					<td><input id="stc" class="color" value="FEFEFE" type="text" maxlength="6"></td>
				</tr>
				
				<tr><th><label for="cpp"><h4>Change preloader</h4></label></th></tr>
			
			</tbody>
			</table>
			
			<label style="margin-left:10px" for="cpp">New preloader's path:</label>
			<input id="cpp" style="margin-left:80px" type="text" style="width:200px !important" />
			<input class="button-secondary action" type="submit" id="cppu" value="Upload" />
			<br /><br />
			
		</div>
		</div>
			
	</div>
	<div style="clear"></div>
		
</div>	
</div>

<script type="text/javascript">
 	jQuery.homeUrl = '<?php echo plugin_dir_url('minimy.php'); ?>minimy/thumbs/';
 	jQuery.imgUrl = '<?php echo plugin_dir_url('minimy.php'); ?>minimy/photos/';
</script>