

jQuery(document).ready(function(){

	var $=jQuery.noConflict();

	var upImages=0;
	var totImages=0;
	var fileImages=new Array();

	$(function(){
		$('#swfupload-control').swfupload({
			upload_url: "../wp-content/plugins/minimy/admin/uploadImages.php",
			file_size_limit : "10240",
			file_types : "*.jpg",
			file_types_description : "Images only",
			file_upload_limit : "0",
			flash_url : "../wp-content/plugins/minimy/js/swfupload/swfupload.swf",
			button_image_url : '../wp-content/plugins/minimy/js/swfupload/XPButtonUploadText_61x22.png',
			button_width : 98,
			button_height : 24,
			button_placeholder : $('#button')[0],
			debug: false,
			custom_settings : {something : "here"}
		})
		
		.bind('swfuploadLoaded', function(event){
		})
		.bind('fileQueued', function(event, file){
			totImages++;
			$(this).swfupload('startUpload');
		})
		.bind('fileDialogStart', function(event){
			upImages=0;
			totImages=0;
			fileImages=new Array();
			iThumb=0;
		})
		.bind('fileDialogComplete', function(event, roughTest){
			if(roughTest){
				$.msgbox('Uploading images... 1/'+totImages, {type:'wait'});
			}
		})
		.bind('uploadComplete', function(event, file){
			upImages++;
			$.boxtext('Uploading images... '+upImages+'/'+totImages);
			fileImages.push(file.name);
			
			if(totImages==upImages){
				continueImageProcess();
			}
			$(this).swfupload('startUpload');
		})
		.bind('uploadError', function(event, file, errorCode, message){
			upImages++;
			if(totImages==upImages){
				continueImageProcess();
			}
		});
		
	});
	
	var normalThumb, miniThumb, thumbsNo=0;
	var iThumb=0;
	function continueImageProcess(){
		
		$.boxtext('Creating thumbnails... '+(iThumb+1)+'/'+fileImages.length);
	
		$.get('../wp-content/plugins/minimy/admin/addImage.php?width='+$('#ttsw').val()+'&height='+$('#ttsh').val()+'&image='+$.imgUrl+fileImages[iThumb], function(data){
			
			normalThumb=$.homeUrl+data+'.jpg';
			
			$.get('../wp-content/plugins/minimy/admin/addImage.php?width=41&height=31&image='+$.imgUrl+fileImages[iThumb], function(data){
				
				miniThumb=$.homeUrl+data+'.jpg';
				addThumb(miniThumb, normalThumb, $.imgUrl+fileImages[iThumb], '', '');
				console.log(miniThumb, normalThumb, $.imgUrl+fileImages[iThumb]);
				
				if(++iThumb<fileImages.length){
					continueImageProcess();
				} else {
					$.boxtext('Images successfully uploaded and cropped!');
					setTimeout($.closebox, 800);
				}
					
			});
				
		});
		
	}
	
	var $cssFile;
	function loadStyle(oTitle, oCss, oWidth, oThumbW, oThumbH, oThumbs, oButtonColors, oButtonColorsRoll, oThumbColors, oBoxBack, oBoxHolder, oBoxTitle, oBoxDesc, oBoxMenu, oBoxButtons, oBoxButtonsRoll, oThumbsSymbol, oThumbsBorder, oBoxPlay, oIcon){
	
		$('#skinName').html(oTitle);
		$('#ttw').val(oWidth);
		$('#tpp').val(oThumbs);
		$('#ttsw').val(oThumbW);
		$('#ttsh').val(oThumbH);
		$('#bc2').val(oButtonColors);
		$('#bcr2').val(oButtonColorsRoll);
		$('#bcr2').val(oButtonColorsRoll);
		$('#ta').val(oThumbColors);
		$('#gc').val(oBoxBack);
		$('#hc').val(oBoxHolder);
		$('#tc').val(oBoxTitle);
		$('#dc').val(oBoxDesc);
		$('#mc').val(oBoxMenu);
		$('#bc').val(oBoxButtons);
		$('#bcr').val(oBoxButtonsRoll);
		$('#ts').val(oThumbsSymbol);
		$('#tbb').val(oThumbsBorder);
		$('#stc').val(oBoxPlay);
		$('#asdf').val(oIcon);
		$('#ccp').val('');

		$cssFile=oCss;
		jscolor.init();
		
	}
	
	var $opened;
	var $openSomething;
	
	var $oldButton3=$('#skinsMenu li:first');
	$('#manageSkins').click(function(){
	
		if($opened=='gal'){
			$openSomething='skins';
			$('#cancelGallery').trigger('click');
		}else{
			openSkins();
		}
	
	});
	
	loadStyle($('#skinID').html(), $('#skinID').attr('data-css'), $('#skinID').attr('data-width'), $('#skinID').attr('data-thumbw'), $('#skinID').attr('data-thumbh'), $('#skinID').attr('data-thumbs'), $('#skinID').attr('data-bcolors'), $('#skinID').attr('data-bcolorsroll'), $('#skinID').attr('data-tcolors'), $('#skinID').attr('data-lbback'), $('#skinID').attr('data-lbholder'), $('#skinID').attr('data-title'), $('#skinID').attr('data-lbdesc'), $('#skinID').attr('data-lbmenu'), $('#skinID').attr('data-lbbuttons'), $('#skinID').attr('data-lbbuttonsroll'), $('#skinID').attr('data-tsymbol'), $('#skinID').attr('data-tbborder'), $('#skinID').attr('data-lbplay'), $('#skinID').attr('data-icon'));
	
	function openSkins(){
		$opened='skin';
		$oldButton3.find('a').trigger('click');
	
		$oldPanel.slideUp('fast', function(){
			$('#skinsBlock').fadeIn('fast');
			$('#contentSkins').slideDown('fast');
		});
		
		$oldButton.removeClass('selected');
		$oldButton=$('#manageSkins').parent();
		$oldButton.addClass('selected');
		$oldPanel=$('#contentSkins');
		
		$oldButton3.addClass('selected');
	}
	
	function openGal(){
		$('#upFlash').trigger('click');
		$('#mmp2').val('');
		$opened='gal';
		$('#deleteGallery').fadeOut('fast');
		$oldPanel.slideUp('fast', function(){
			$('#galleryBlock').fadeIn('fast');
			$('#contentGallery').slideDown('fast');
			var d = new Date();
			$('#contentGallery').find('#idPlace').html('<strong>'+Math.floor(Math.random()*1000000+d.getSeconds()+d.getMinutes())+'</strong>');
		});
		$oldButton.removeClass('selected');
		$oldButton=$('#addGallery').parent();
		$oldButton.addClass('selected');
		$oldPanel=$('#galStep1');
		$('#imagesList').empty();
		$('#captionsList').empty();
		saveType=0;
	}
	
	var saveType=0;
	var $oldPanel=$('#contentDashboard');
	var $oldButton=$('#manageGalleries').parent();
	//add gallery functions --
	$('#addGallery').click(function(event){
		
		editing=false;
		if($opened=='skin'){
			$openSomething='gal';
			$('#cancelSkin').trigger('click');
		}else{
			openGal();
		}
		
	});
	
	var $place;
	//image uploading
	$('#mmp').click(function(){
		$place=$('#mmp2');
		upload_image();
		return false;
	});
	
	function upload_image() {
		formfield = $place.attr('name');
		tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
		return false;
	}

	window.send_to_editor = function(html) {
		imgurl = $('img',html).attr('src');
		$place.val(imgurl);
		tb_remove();
	}
	
	$('#cppu').click(function(){
		$place=$('#cpp');
		upload_image();
		return false;
	});
	
	//function that adds an image to the gallery
	$('#addImage').click(function(){
	
		if($('#mmp2').val() != ''){
	
			$.msgbox('Please wait while the thumbnails are getting cropped...', {type:'wait'});
			
			$.get('../wp-content/plugins/minimy/admin/addImage.php?width='+$('#ttsw').val()+'&height='+$('#ttsh').val()+'&image='+$('#mmp2').val(), function(data){
			
				if(data=='Error'){
					$.boxtext('Cropping failed! Make sure that the path to the image is correct!');
					setTimeout($.closebox, 800);
				}
			
				normalThumb=$.homeUrl+data+'.jpg';
				
				$.get('../wp-content/plugins/minimy/admin/addImage.php?width=41&height=31&image='+$('#mmp2').val(), function(data){
				
					miniThumb=$.homeUrl+data+'.jpg';
					addThumb(miniThumb, normalThumb, $('#mmp2').val(), '', '');
					
					$.boxtext('Thumbnails successfully cropped!');
					setTimeout($.closebox, 800);
					
				});
				
			});
		
		}
		
	});
	
	//function that adds a thumbnail and a caption panel
	function addThumb(mThumb, nThumb, lImage, nTitle, nText){
	
		if(nTitle=='undefined'){
			nTitle='';
		}
		if(nText=='undefined'){
			nText='';
		}
	
		thumbsNo++;

		$('#imagesList').append('<li data-img="'+lImage+'" data-nthumb="'+nThumb+'" data-mthumb="'+mThumb+'" id="thumb'+thumbsNo+'"><img src="'+nThumb+'" /><span><a href="#" id="removeThumb'+thumbsNo+'"><img src="../wp-content/plugins/minimy/images/deleteThumb.png" /></a></span></li>');
		
		$('#thumb'+thumbsNo).fadeIn('fast');
		
		$('#imagesList').sortable({opacity:0.8});
		$('#imagesList').disableSelection();
		$('#imagesList').unbind('sortupdate').bind('sortupdate', function(event, ui){
			for(i=0; i<thumbsNo;i++){
				var $thumb=$('#imagesList').children().eq(i).attr('id');
				$('#caption'+$thumb).appendTo('#captionsList');
			}
		});
		
		var $newObj = $('#captionsList').append('<li id="captionthumb'+thumbsNo+'"><img src="'+nThumb+'" /><div><label>Title:</label><input class="regular_text" value="'+nTitle+'" type="text" /><label>Description:</label><input class="regular_text" value="'+nText+'" type="text" /></div></li>');
		
		$('#removeThumb'+thumbsNo).click(function(){
			$(this).parent().parent().fadeOut('fast', function(){
				$.get('../wp-content/plugins/minimy/admin/deleteImage.php?nThumb='+$(this).attr('data-nthumb')+'&mThumb='+$(this).attr('data-mthumb')+'&lImage='+$(this).attr('data-img'));
				$('#caption'+$(this).attr('id')).remove();
				$(this).remove();
			});
		});
		
	}
	
	var $oldButton2=$('#manageID').parent();
	//functions that change between the gallery panels
	$('#manageID').click(function(){
		$oldPanel.slideUp('fast', function(){
			$oldPanel=$('#galStep1');
			$oldPanel.slideDown('fast');
		});
		$oldButton2.removeClass('selected');
		$oldButton2=$('#manageID').parent();
		$oldButton2.addClass('selected');
	});
	
	$('#manageOptions').click(function(){
		$oldPanel.slideUp('fast', function(){
			$oldPanel=$('#galStep2');
			$oldPanel.slideDown('fast');
		});
		$oldButton2.removeClass('selected');
		$oldButton2=$('#manageOptions').parent();
		$oldButton2.addClass('selected');
	});
	
	$('#manageImages').click(function(){
		$oldPanel.slideUp('fast', function(){
			$oldPanel=$('#galStep3');
			$oldPanel.slideDown('fast');
		});
		$oldButton2.removeClass('selected');
		$oldButton2=$('#manageImages').parent();
		$oldButton2.addClass('selected');
	});
	
	$('#manageCaptions').click(function(){
		$oldPanel.slideUp('fast', function(){
			$oldPanel=$('#galStep4');
			$oldPanel.slideDown('fast');
		});
		$oldButton2.removeClass('selected');
		$oldButton2=$('#manageCaptions').parent();
		$oldButton2.addClass('selected');
	});
	
	$('#saveGallery').bind('click', saveGallery);
	//function that saves
	function saveGallery(){
	
		$.msgbox('Please wait while the gallery gets saved...', {type:'wait'});
		
		var images=new Array(), normalThumbs=new Array(), miniThumbs=new Array(), options=new Array($('#sat').val(), $('#es').val(), $('#sa').val(), $('#et').val(), $('#ec').val(), $('#stm').val(), $('#rim').val()), titles=new Array(), descriptions=new Array();
		
		$('#imagesList').find('li').each(function(){
			images.push(escape($(this).attr('data-img')));
			miniThumbs.push(escape($(this).attr('data-mthumb')));
			normalThumbs.push(escape($(this).attr('data-nthumb')));
		});
		
		$('#captionsList').find('li').each(function(){
			titles.push(escape($(this).find('input').eq(0).val()));
			descriptions.push(escape($(this).find('input').eq(1).val()));
		});
		
		$.post('../wp-content/plugins/minimy/admin/saveGallery.php', {
			
			'stype': saveType,
			'minimy': $('#idPlace').find('strong').html(),
			'type': '1',
			'images': images.join(','),
			'thumbs1': normalThumbs.join(','),
			'thumbs2': miniThumbs.join(','),
			'options': options.join(','),
			'titles': titles.join(','),
			'descriptions': descriptions.join(','),
			
		}, function(data){
		
			$.boxtext('Gallery successfully saved!');
			setTimeout($.closebox, 800);
			
			$('#galleryBlock').fadeOut('fast');
			$('#contentGallery').slideUp('fast', function(){
				$('#contentDashboard').slideDown('fast');
				$oldPanel.hide();
				$('#galStep1').show();
				$oldPanel=$('#contentDashboard');
			});
			
			$opened=null;
			$oldButton2.removeClass('selected');
			$oldButton2=$('#manageID').parent();
			$oldButton2.addClass('selected');
			
			$oldButton.removeClass('selected');
			$oldButton=$('#manageGalleries').parent();
			$oldButton.addClass('selected');
			
			$('#contentDashboard').find('span').html(data);
			
			if(!editing){
				$('<li><strong>Gallery ID: '+$('#idPlace').find('strong').html()+'</strong><a data-id="'+$('#idPlace').find('strong').html()+'" href="#">delete</a><a data-id="'+$('#idPlace').find('strong').html()+'" href="#">edit</a></li>').appendTo($('#galleriesList'));
			
				$('#galleriesList li a').each(function(){
					$(this).unbind('click');
					$(this).index()==2 ? $(this).bind('click', {id: $(this).attr('data-id')}, editGallery) : $(this).bind('click', {li:$(this).parent() ,id: $(this).attr('data-id')}, deleteGallery)
				});
			}

		});
		
	}
	
	$('#galleriesList li a').each(function(){
		$(this).index()==2 ? $(this).bind('click', {id: $(this).attr('data-id')}, editGallery) : $(this).bind('click', {li:$(this).parent() ,id: $(this).attr('data-id')}, deleteGallery)
	});
	
	var editing=false;
	//edit/remove gallery
	function editGallery(e){

		$opened='gal';
		$oldButton.removeClass('selected');
		$oldButton=$('#addGallery').parent();
		$oldButton.addClass('selected');
		$('#mmp2').val('');
		
		$('#upFlash').trigger('click');
	
		$('#imagesList').empty();
		$('#captionsList').empty();
	
		editing=true;
		$('#deleteGallery').fadeIn('fast');
		
		$.msgbox('Please wait while the gallery is loading...', {type:'wait'});
		
			console.log('asda');
		saveType=1;
		$.get('../wp-content/plugins/minimy/admin/editGallery.php?id='+e.data.id, function(data){
			
			var settings=data.split('&^|$');
			
			//write gallery form
			$('#idPlace').html('<strong>'+settings[0]+'</strong>');
			
			var mThumbs=settings[4].split(',');
			var nThumbs=settings[3].split(',');
			var lImages=settings[2].split(',');
			var nTitles=settings[6].split(',');
			var nTexts=settings[7].split(',');
			
			if(mThumbs[0].length!=0){
				for(i=0; i<mThumbs.length; i++){
					addThumb(mThumbs[i], nThumbs[i], lImages[i], nTitles[i], nTexts[i]);
				}
			}
			
			var options=settings[5].split(',');
			
			$('#sat').val(options[0]);
			$('#es').val(options[1]);
			$('#sa').val(options[2]);
			$('#et').val(options[3]);
			$('#ec').val(options[4]);
			$('#stm').val(options[5]);
			$('#rim').val(options[6]);
			
			//show gallery panel
			$oldPanel.slideUp('fast', function(){
				$('#galleryBlock').fadeIn('fast');
				$('#contentGallery').slideDown('fast');
			});
			$oldPanel=$('#galStep1');
			
			$.boxtext('Gallery successfully loaded!');
			setTimeout($.closebox, 800);
			
		});
	}
	
	function deleteGallery(e){
	
		$.msgbox('Are you sure you want to delete this gallery with all it\'s images & thumbnails?', {
		
			type: 'confirm',
			buttons:[
				{type:'submit', value:'Yes'},
				{type:'cancel', value:'No'}
			]}, function(result){
			
				if(result){
					
					$opened=null;
					$.msgbox('Please wait while the gallery gets removed...', {type:'wait'});
					
					$.get('../wp-content/plugins/minimy/admin/deleteGallery.php?type=0&id='+e.data.id, function(data){
						e.data.li.fadeOut('fast', function(){
							$(this).remove();
							$.boxtext('Gallery successfully removed!');
							$('#contentDashboard').find('span').html(data);
							setTimeout($.closebox, 800);
						});
					});
				
				}
				
			});
			
	}
	
	//dasboard
	$('#manageGalleries').click(function(){
		if($opened=='gal'){
			$opened=null;
			$('#cancelGallery').trigger('click');
		}else if($opened='skin'){
			$('#cancelSkin').trigger('click');
			$opened=null;
		}
	});
	
	$('#cancelGallery').click(function(){
	
		$.msgbox('Are you sure you want to erase all changes done to this gallery?', {
		
			type: 'confirm',
			buttons:[
				{type:'submit', value:'Yes'},
				{type:'cancel', value:'No'}
			]}, function(result){
			
				if(result){
						
					$('#galleryBlock').fadeOut('fast');
					
					$oldButton.removeClass('selected');
				
					$('#contentGallery').slideUp('fast', function(){
						if($openSomething=='skins'){
							openSkins()
						}else{
							$('#contentDashboard').slideDown('fast');
							$oldPanel.hide();
							$('#galStep1').show();
							$oldPanel=$('#contentDashboard');
							$oldButton=$('#manageGalleries').parent();
							$oldButton.addClass('selected');
						}
					});
					
					$oldButton2.removeClass('selected');
					$oldButton2=$('#manageID').parent();
					$oldButton2.addClass('selected');
					
					$opened=null;
				
				}
				
		});
		
	});
	
	$('#cancelSkin').click(function(){
	
		$.msgbox('Are you sure you want to erase all changes done to this skin?', {
		
			type: 'confirm',
			buttons:[
				{type:'submit', value:'Yes'},
				{type:'cancel', value:'No'}
			]}, function(result){
			
				if(result){
				
					$oldButton.removeClass('selected');
					
					$('#contentSkins').slideUp('fast', function(){
						if($openSomething=='gal'){
							openGal();
						}else{
							$('#contentDashboard').slideDown('fast');
							$oldPanel=$('#contentDashboard');
							$oldButton=$('#manageGalleries').parent();
							$oldButton.addClass('selected');
						}
					});
						
					$('#skinsBlock').fadeOut('fast');
					
					$oldButton3.removeClass('selected');
					$oldButton3=$('#skinsBlock').find('li:first');
					$oldButton3.addClass('selected');
					
					$opened=null;
					
				}
				
		});
	
	});
	
	//skin
	$('#saveSkin').click(function(){
	
		$.msgbox('Please wait while the skin is saving...', {type:'wait'});
		
		$.get('../wp-content/plugins/minimy/admin/saveSkin.php?name='+$oldButton3.find('a').html()+'&css='+$cssFile+'&oWidth='+$('#ttw').val()+'&oThumbs='+$('#tpp').val()+'&oThumbW='+$('#ttsw').val()+'&oThumbH='+$('#ttsh').val()+'&oButtonColors='+$('#bc2').val()+'&oButtonColorsRoll='+$('#bcr2').val()+'&oThumbColors='+$('#ta').val()+'&oBoxBack='+$('#gc').val()+'&oBoxHolder='+$('#hc').val()+'&oBoxTitle='+$('#tc').val()+'&oBoxDesc='+$('#dc').val()+'&oBoxMenu='+$('#mc').val()+'&oBoxButtons='+$('#bc').val()+'&oBoxButtonsRoll='+$('#bcr').val()+'&oThumbSymbolColor='+$('#ts').val()+'&newPreloader='+escape($('#cpp').val())+'&oThumbsBorder='+$('#tbb').val()+'&oBoxPlay='+$('#stc').val()+'&oIcon='+$('#asdf').val(), function(data){
		
			$.boxtext('Skin successfully saved!');
			setTimeout($.closebox, 800);
			
			$('#contentSkins').slideUp('fast', function(){
				$('#contentDashboard').slideDown('fast');
				$oldPanel=$('#contentDashboard');
				$opened=null;
				$('#cpp').val('');
			});
						
			$('#skinsBlock').fadeOut('fast');
					
			$oldButton.removeClass('selected');
			$oldButton=$('#manageGalleries').parent();
			$oldButton.addClass('selected');
					
			$oldButton3.removeClass('selected');
			$oldButton3=$('#skinsBlock').find('li:first');
			$oldButton3.addClass('selected');
		
		});
	
	});
	
	$('#ttw').bind('keyup', calculateThumbHeight);
	$('#tpp').bind('keyup', calculateThumbHeight);
	function calculateThumbHeight(){
		$('#ttsw').val(Math.round(($('#ttw').val()-$('#tpp').val())/(parseInt($('#tpp').val())+1)));
	}
	
	$('#upNonFlash').click(function(){
		if($(this).attr('checked') != 'checked'){
			$('#swfupload-control').fadeOut('fast');
			$('#hideWhenFlash').fadeOut('fast', function(){
				$('#hideWhenFlash2').hide();
				$('#nonswfupload').fadeIn('fast');
			});
			$(this).attr('checked', 'checked');
		}
	});
	
	$('#upFlash').click(function(){
		if($(this).attr('checked') != 'checked'){
			$('#nonswfupload').fadeOut('fast', function(){
				$('#hideWhenFlash').fadeIn('fast');
				$('#swfupload-control').fadeIn('fast');
				$('#hideWhenFlash2').show();
			});
			$(this).attr('checked', 'checked');
		}
	});
	
});